Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.portlet
Class CredentialSource

    java.lang.Object
      com.plumtree.remote.portlet.CredentialSource

public class CredentialSource
extends java.lang.Object

`CredentialSource` is an enumeration of the different locations in the `IPortletRequest` headers where credentials can be passed. `CredentialSource` is a type-safe enumeration, so instances of the class can be compared using identity equality.

Field Summary
`static CredentialSource` | `BASIC_AUTH_HEADERS` Credentials were sent in the Basic Auth header.
`static CredentialSource` | `CREDENTIAL_VAULT_HEADERS` Credentials were sent in the special Credential Vault headers.
`static CredentialSource` | `PREFERENCE_HEADERS` Credentials were sent in a preference header.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREDENTIAL_VAULT_HEADERS

    public static CredentialSource CREDENTIAL_VAULT_HEADERS

  Credentials were sent in the special Credential Vault headers.

### BASIC_AUTH_HEADERS

    public static CredentialSource BASIC_AUTH_HEADERS

  Credentials were sent in the Basic Auth header.

### PREFERENCE_HEADERS

    public static CredentialSource PREFERENCE_HEADERS

  Credentials were sent in a preference header. This includes user preferences, admin preferences, portlet preferences, community preferences, community portlet preferences, session preferences, or user info.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.